ChangeCase (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.rpf
Class ChangeCase

    java.lang.Object
      com.bbn.openmap.layer.rpf.ChangeCase

    public class ChangeCase

extends java.lang.Object

ChangeCase is a simple class that traverses a file system tree and converts the contents to upper ot lower case letters, depending on the options provided.

        Usage: java com.bbn.openmap.layer.rpf.ChangeCase [-u|-l] (dir path 1)(dir path 2) ...

Constructor Summary
`ChangeCase()`

Method Summary
`static void` | `handleEntry(java.io.File file, boolean toUpper)` Given a file, change it's name, and everything below it (if it's a directory) to the case specified by toUpper.
`static void` | `main(java.lang.String[] argv)` Given a set of files or directories, parade through them to change their case.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChangeCase

    public ChangeCase()

Method Detail

### handleEntry

    public static void handleEntry(java.io.File file,
                                   boolean toUpper)

  Given a file, change it's name, and everything below it (if it's a directory) to the case specified by toUpper.

  Parameters:
    `file` - file to start at.
    `toUpper` - file will change to upper case if true, lower case if false.

### main

    public static void main(java.lang.String[] argv)

  Given a set of files or directories, parade through them to change their case.

  Parameters:
    `argv` - paths to files or directories, use -h to get a usage statement.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details